Skip to main content
GET
/
api
/
artists
cURL
curl --request GET \
  --url https://recoup-api.vercel.app/api/artists \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "artists": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "image": "<string>",
      "pinned": true,
      "socials": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "platform": "<string>",
          "username": "<string>",
          "profile_url": "<string>"
        }
      ]
    }
  ],
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Your Recoup API key. Learn more.

Query Parameters

account_id
string<uuid>

Filter to a specific account's artists. Only usable by organization API keys to view a member's artists. Personal API keys and Bearer tokens derive the account automatically.

org_id
string<uuid>

Filter to artists in a specific organization. When omitted, returns only personal (non-organization) artists.

Response

Artists retrieved successfully

status
enum<string>
required

Status of the request

Available options:
success,
error
artists
object[]
required

List of artist objects

message
string

Error message (only present if status is error)